package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-其他条款表
 * </p>
 *
 * @author liutao
 * @since 2022-07-14
 */
@TableName("purch_contract_other_clause_history")
public class PurchContractOtherClauseHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableField("serial_number")
    private Integer serialNumber;

    /**
     * 其他条件
     */
    @TableField("payment_condition")
    private String paymentCondition;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }
    public String getPaymentCondition() {
        return paymentCondition;
    }

    public void setPaymentCondition(String paymentCondition) {
        this.paymentCondition = paymentCondition;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }

    @Override
    public String toString() {
        return "PpurchContractOtherClauseHistory{" +
            "serialNumber=" + serialNumber +
            ", paymentCondition=" + paymentCondition +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
        "}";
    }
}
